/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.widgets.Event;

import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;

/**
 * Aktion Schliessen des Versorgungsdatenfensters.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: VersorgungSchliessenAktion.java 26345 2010-09-16 15:28:24Z gieseler $
 */
public class VersorgungSchliessenAktion extends Action {

	/** Der selektierte EditPart. */
	private final AnlagenStatusEditPart part;

	/**
	 * Konstruktor.
	 * 
	 * @param part
	 *            EditPart
	 */
	public VersorgungSchliessenAktion(final AnlagenStatusEditPart part) {
		super("Versorgungsdaten schliessen");
		setToolTipText("Versorgungsdaten schliessen");
		this.part = part;
	}

	/** {@inheritDoc}. */
	@Override
	public void runWithEvent(final Event event) {
		part.closeVersorgungWindow();
	}
}
