/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.commands;

import org.eclipse.jface.action.IContributionItem;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.actions.CompoundContributionItem;

import de.bsvrz.buv.plugin.anlagenstatus.internal.PluginAnlagenStatus;
import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;

/**
 * Erzeugt das Untermen&uuml; f&uuml;r die ausw&auml;hlbaren Versorgungsdaten.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: $
 */
public class VersorgungAnzeigenSubmenu extends CompoundContributionItem {

	/** {@inheritDoc} */
	@Override
	public boolean isEnabled() {
		return super.isEnabled()
				&& PluginAnlagenStatus.getDefault().getObjektFactory()
						.isVerbunden();
	}

	/** {@inheritDoc} */
	@Override
	protected IContributionItem[] getContributionItems() {

		final ISelection selection = PlatformUI.getWorkbench()
				.getActiveWorkbenchWindow().getActivePage().getSelection();

		if (selection instanceof StructuredSelection && !selection.isEmpty()) {
			final StructuredSelection ssel = (StructuredSelection) selection;
			if (ssel.getFirstElement() instanceof AnlagenStatusEditPart) {
				final AnlagenStatusEditPart aep = (AnlagenStatusEditPart) ssel
						.getFirstElement();
				final IContributionItem[] item = new IContributionItem[1];
				item[0] = aep.erzeugeVersorgungsDatenMenu();
				return item;
			}
		}

		return new IContributionItem[0];
	}
}
