/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */
package de.bsvrz.buv.plugin.anlagenstatus.parts;

import java.util.Iterator;

import org.eclipse.gef.NodeEditPart;

import de.bsvrz.buv.plugin.anlagenstatus.export.HtmlStyles;
import de.bsvrz.buv.plugin.anlagenstatus.export.HtmlTools;

/**
 * Steuermodul-EditPart, der im Anlagenstatus-View verwendet wird.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: AnlagenStatusSteuerModulEditPart.java 33260 2012-03-26 14:24:12Z gieseler $
 */
public class AnlagenStatusSteuerModulEditPart extends SteuerModulEditPart
		implements NodeEditPart {

	/**
	 * Konstruktor.
	 */
	public AnlagenStatusSteuerModulEditPart() {
		super();
		setInView(true);
	}

	/** {@inheritDoc} */
	@Override
	public void activate() {
		super.activate();
		geheOnline();
		setKinderOnline(true);
	}

	/** {@inheritDoc} */
	@Override
	public void deactivate() {
		super.deactivate();
		geheOffline();
		setKinderOnline(false);
	}

	/** {@inheritDoc} */
	@SuppressWarnings("unchecked")
	@Override
	public String getHtmlText(final int col, final int cols, final boolean first) {
		final StringBuffer sb = new StringBuffer();

		if (!first) {
			sb.append("</tr>\n<tr>");
			for (int i = 0; i < col; i++) {
				sb.append("<td></td>");
			}
		}
		sb.append("<td>");

		sb.append("<table border=\"5\" bordercolor=\"" + getHtmlBorderColor()
				+ "\" rules=\"none\" >\n");
		sb.append(HtmlTools.erzeugeHtmlTabelleZeile(null,
				HtmlTools.erzeugeHtmlTabelleSpalte(null, getHtmlBasisInfo())));

		// sb.append("<tr><td><table cellspacing=\"0\">\n");
		sb.append("<tr><td><table "
				+ HtmlStyles.TABELLE_OHNE_ZWISCHENRAUM_CSS.getStyleClass()
				+ " cellpadding=\"0\">\n");

		final Iterator<Object> i = getChildren().iterator();
		while (i.hasNext()) {
			final AnlagenStatusEditPart ep = (AnlagenStatusEditPart) i.next();
			sb.append(HtmlTools.erzeugeHtmlTabelleZeile(
					null,
					HtmlTools.erzeugeHtmlTabelleSpalte(null,
							ep.getHtmlText(cols, cols, true))));
		}

		sb.append("</table>\n");
		sb.append("</table>");
		sb.append("</td>\n");

		return sb.toString();
	}

}
