/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.tooltips;

import java.util.ResourceBundle;

import org.eclipse.draw2d.Label;

import de.bsvrz.buv.plugin.anlagenstatus.internal.PluginAnlagenStatus;
import de.bsvrz.buv.plugin.anlagenstatus.parts.AnlagenStatusEditPart;
import de.bsvrz.sys.funclib.bitctrl.modell.tmkextlsglobal.objekte.Geraet;

/**
 * Info-Tooltip-Figur fr die Darstellung der Daten eines Ger&auml;tes.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: GeraetTooltip.java 25543 2010-08-13 15:46:03Z Schumann $
 */
class GeraetTooltip extends AnlagenStatusToolTipFigure {
	/**
	 * Konstruktor, erzeugt eine Info-Popup-Figur fr den bergebenen
	 * Messquerschnitt.
	 * 
	 * @param geraet
	 * 
	 * @param part
	 * 
	 */
	GeraetTooltip(final Geraet geraet, final AnlagenStatusEditPart part) {
		super(geraet, part);
		final ResourceBundle resourceBundle = PluginAnlagenStatus.getDefault()
				.getResourceBundle();

		// Bezeichnung/Name
		final String bez = geraet.getKdGeraet().getDatum().getBezeichnung();
		if (bez != null && bez.length() == 0) {
			add(new Label("Bezeichnung: "));
			add(new Label(bez));
		}

		// Knotennummer
		add(new Label(resourceBundle.getString("Knotennummer.label") + " "));
		add(new Label(geraet.getKdGeraet().getDatum().getKnotenNummer()
				.toString()));
	}

}
